import 'package:syncrow_web/pages/device_managment/factories/device_bloc_dependencies_factory.dart';
import 'package:syncrow_web/pages/device_managment/three_g_glass_switch/bloc/three_gang_glass_switch_bloc.dart';

abstract final class ThreeGangGlassSwitchBlocFactory {
  const ThreeGangGlassSwitchBlocFactory._();

  static ThreeGangGlassSwitchBloc create({
    required String deviceId,
  }) {
    return ThreeGangGlassSwitchBloc(
      deviceId: deviceId,
      controlDeviceService:
          DeviceBlocDependenciesFactory.createControlDeviceService(),
      batchControlDevicesService:
          DeviceBlocDependenciesFactory.createBatchControlDevicesService(),
    );
  }
}
